# Class MenuPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.e4.ui.model.application.ui.menu.impl.MenuPackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class MenuPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  - `MMenuFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`MenuPackageImpl.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DIRECT_MENU_ITEM`
The meta object id for the '`Direct Menu Item`' class.
`static final int`
`DIRECT_MENU_ITEM___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`DIRECT_MENU_ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`DIRECT_MENU_ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`DIRECT_MENU_ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`DIRECT_MENU_ITEM__CONTRIBUTION_URI`
The feature id for the 'Contribution URI' attribute.
`static final int`
`DIRECT_MENU_ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`DIRECT_MENU_ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`DIRECT_MENU_ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`DIRECT_MENU_ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`DIRECT_MENU_ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`DIRECT_MENU_ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`DIRECT_MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`DIRECT_MENU_ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`DIRECT_MENU_ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`DIRECT_MENU_ITEM__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`DIRECT_MENU_ITEM__OBJECT`
The feature id for the 'Object' attribute.
`static final int`
`DIRECT_MENU_ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`DIRECT_MENU_ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`DIRECT_MENU_ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`DIRECT_MENU_ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`DIRECT_MENU_ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`DIRECT_MENU_ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`DIRECT_MENU_ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`DIRECT_MENU_ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`DIRECT_MENU_ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`DIRECT_MENU_ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`DIRECT_MENU_ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`DIRECT_MENU_ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`DIRECT_MENU_ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`DIRECT_MENU_ITEM_FEATURE_COUNT`
The number of structural features of the 'Direct Menu Item' class.
`static final int`
`DIRECT_MENU_ITEM_OPERATION_COUNT`
The number of operations of the 'Direct Menu Item' class.
`static final int`
`DIRECT_TOOL_ITEM`
The meta object id for the '`Direct Tool Item`' class.
`static final int`
`DIRECT_TOOL_ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`DIRECT_TOOL_ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`DIRECT_TOOL_ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`DIRECT_TOOL_ITEM__CONTRIBUTION_URI`
The feature id for the 'Contribution URI' attribute.
`static final int`
`DIRECT_TOOL_ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`DIRECT_TOOL_ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`DIRECT_TOOL_ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`DIRECT_TOOL_ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`DIRECT_TOOL_ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`DIRECT_TOOL_ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`DIRECT_TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`DIRECT_TOOL_ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`DIRECT_TOOL_ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`DIRECT_TOOL_ITEM__MENU`
The feature id for the 'Menu' containment reference.
`static final int`
`DIRECT_TOOL_ITEM__OBJECT`
The feature id for the 'Object' attribute.
`static final int`
`DIRECT_TOOL_ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`DIRECT_TOOL_ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`DIRECT_TOOL_ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`DIRECT_TOOL_ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`DIRECT_TOOL_ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`DIRECT_TOOL_ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`DIRECT_TOOL_ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`DIRECT_TOOL_ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`DIRECT_TOOL_ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`DIRECT_TOOL_ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`DIRECT_TOOL_ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`DIRECT_TOOL_ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`DIRECT_TOOL_ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`DIRECT_TOOL_ITEM_FEATURE_COUNT`
The number of structural features of the 'Direct Tool Item' class.
`static final int`
`DIRECT_TOOL_ITEM_OPERATION_COUNT`
The number of operations of the 'Direct Tool Item' class.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION`
The meta object id for the '`Dynamic Menu Contribution`' class.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__CONTRIBUTION_URI`
The feature id for the 'Contribution URI' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__OBJECT`
The feature id for the 'Object' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION_FEATURE_COUNT`
The number of structural features of the 'Dynamic Menu Contribution' class.
`static final int`
`DYNAMIC_MENU_CONTRIBUTION_OPERATION_COUNT`
The number of operations of the 'Dynamic Menu Contribution' class.
`static final MenuPackageImpl`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`HANDLED_ITEM`
The meta object id for the '`Handled Item`' class.
`static final int`
`HANDLED_ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`HANDLED_ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`HANDLED_ITEM__COMMAND`
The feature id for the 'Command' reference.
`static final int`
`HANDLED_ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`HANDLED_ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`HANDLED_ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`HANDLED_ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`HANDLED_ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`HANDLED_ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`HANDLED_ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`HANDLED_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`HANDLED_ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`HANDLED_ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`HANDLED_ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`HANDLED_ITEM__PARAMETERS`
The feature id for the 'Parameters' containment reference list.
`static final int`
`HANDLED_ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`HANDLED_ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`HANDLED_ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`HANDLED_ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`HANDLED_ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`HANDLED_ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`HANDLED_ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`HANDLED_ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`HANDLED_ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`HANDLED_ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`HANDLED_ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`HANDLED_ITEM__WB_COMMAND`
The feature id for the 'Wb Command' attribute.
`static final int`
`HANDLED_ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`HANDLED_ITEM_FEATURE_COUNT`
The number of structural features of the 'Handled Item' class.
`static final int`
`HANDLED_ITEM_OPERATION_COUNT`
The number of operations of the 'Handled Item' class.
`static final int`
`HANDLED_MENU_ITEM`
The meta object id for the '`Handled Menu Item`' class.
`static final int`
`HANDLED_MENU_ITEM___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`HANDLED_MENU_ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`HANDLED_MENU_ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`HANDLED_MENU_ITEM__COMMAND`
The feature id for the 'Command' reference.
`static final int`
`HANDLED_MENU_ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`HANDLED_MENU_ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`HANDLED_MENU_ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`HANDLED_MENU_ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`HANDLED_MENU_ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`HANDLED_MENU_ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`HANDLED_MENU_ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`HANDLED_MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`HANDLED_MENU_ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`HANDLED_MENU_ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`HANDLED_MENU_ITEM__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`HANDLED_MENU_ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`HANDLED_MENU_ITEM__PARAMETERS`
The feature id for the 'Parameters' containment reference list.
`static final int`
`HANDLED_MENU_ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`HANDLED_MENU_ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`HANDLED_MENU_ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`HANDLED_MENU_ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`HANDLED_MENU_ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`HANDLED_MENU_ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`HANDLED_MENU_ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`HANDLED_MENU_ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`HANDLED_MENU_ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`HANDLED_MENU_ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`HANDLED_MENU_ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`HANDLED_MENU_ITEM__WB_COMMAND`
The feature id for the 'Wb Command' attribute.
`static final int`
`HANDLED_MENU_ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`HANDLED_MENU_ITEM_FEATURE_COUNT`
The number of structural features of the 'Handled Menu Item' class.
`static final int`
`HANDLED_MENU_ITEM_OPERATION_COUNT`
The number of operations of the 'Handled Menu Item' class.
`static final int`
`HANDLED_TOOL_ITEM`
The meta object id for the '`Handled Tool Item`' class.
`static final int`
`HANDLED_TOOL_ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`HANDLED_TOOL_ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`HANDLED_TOOL_ITEM__COMMAND`
The feature id for the 'Command' reference.
`static final int`
`HANDLED_TOOL_ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`HANDLED_TOOL_ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`HANDLED_TOOL_ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`HANDLED_TOOL_ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`HANDLED_TOOL_ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`HANDLED_TOOL_ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`HANDLED_TOOL_ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`HANDLED_TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`HANDLED_TOOL_ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`HANDLED_TOOL_ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`HANDLED_TOOL_ITEM__MENU`
The feature id for the 'Menu' containment reference.
`static final int`
`HANDLED_TOOL_ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`HANDLED_TOOL_ITEM__PARAMETERS`
The feature id for the 'Parameters' containment reference list.
`static final int`
`HANDLED_TOOL_ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`HANDLED_TOOL_ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`HANDLED_TOOL_ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`HANDLED_TOOL_ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`HANDLED_TOOL_ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`HANDLED_TOOL_ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`HANDLED_TOOL_ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`HANDLED_TOOL_ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`HANDLED_TOOL_ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`HANDLED_TOOL_ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`HANDLED_TOOL_ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`HANDLED_TOOL_ITEM__WB_COMMAND`
The feature id for the 'Wb Command' attribute.
`static final int`
`HANDLED_TOOL_ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`HANDLED_TOOL_ITEM_FEATURE_COUNT`
The number of structural features of the 'Handled Tool Item' class.
`static final int`
`HANDLED_TOOL_ITEM_OPERATION_COUNT`
The number of operations of the 'Handled Tool Item' class.
`static final int`
`ITEM`
The meta object id for the '`Item`' class.
`static final int`
`ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`ITEM_FEATURE_COUNT`
The number of structural features of the 'Item' class.
`static final int`
`ITEM_OPERATION_COUNT`
The number of operations of the 'Item' class.
`static final int`
`ITEM_TYPE`
The meta object id for the '`Item Type`' enum.
`static final int`
`MENU`
The meta object id for the '`Menu`' class.
`static final int`
`MENU___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`MENU___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`MENU__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`MENU__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`MENU__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`MENU__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`MENU__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`MENU__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`MENU__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`MENU__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`MENU__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`MENU__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`MENU__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`MENU__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`MENU__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`MENU__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`MENU__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`MENU__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`MENU__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`MENU__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`MENU__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`MENU__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`MENU__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`MENU__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`MENU__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`MENU__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`MENU__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`MENU_CONTRIBUTION`
The meta object id for the '`Contribution`' class.
`static final int`
`MENU_CONTRIBUTION___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`MENU_CONTRIBUTION__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`MENU_CONTRIBUTION__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`MENU_CONTRIBUTION__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`MENU_CONTRIBUTION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`MENU_CONTRIBUTION__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`MENU_CONTRIBUTION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`MENU_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`MENU_CONTRIBUTION__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`MENU_CONTRIBUTION__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`MENU_CONTRIBUTION__PARENT_ID`
The feature id for the 'Parent Id' attribute.
`static final int`
`MENU_CONTRIBUTION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`MENU_CONTRIBUTION__POSITION_IN_PARENT`
The feature id for the 'Position In Parent' attribute.
`static final int`
`MENU_CONTRIBUTION__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`MENU_CONTRIBUTION__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`MENU_CONTRIBUTION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`MENU_CONTRIBUTION__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`MENU_CONTRIBUTION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`MENU_CONTRIBUTION__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`MENU_CONTRIBUTION__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`MENU_CONTRIBUTION__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`MENU_CONTRIBUTION_FEATURE_COUNT`
The number of structural features of the 'Contribution' class.
`static final int`
`MENU_CONTRIBUTION_OPERATION_COUNT`
The number of operations of the 'Contribution' class.
`static final int`
`MENU_CONTRIBUTIONS`
The meta object id for the '`Contributions`' class.
`static final int`
`MENU_CONTRIBUTIONS__MENU_CONTRIBUTIONS`
The feature id for the 'Menu Contributions' containment reference list.
`static final int`
`MENU_CONTRIBUTIONS_FEATURE_COUNT`
The number of structural features of the 'Contributions' class.
`static final int`
`MENU_CONTRIBUTIONS_OPERATION_COUNT`
The number of operations of the 'Contributions' class.
`static final int`
`MENU_ELEMENT`
The meta object id for the '`Element`' class.
`static final int`
`MENU_ELEMENT___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`MENU_ELEMENT___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`MENU_ELEMENT__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`MENU_ELEMENT__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`MENU_ELEMENT__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`MENU_ELEMENT__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`MENU_ELEMENT__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`MENU_ELEMENT__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`MENU_ELEMENT__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`MENU_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`MENU_ELEMENT__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`MENU_ELEMENT__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`MENU_ELEMENT__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`MENU_ELEMENT__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`MENU_ELEMENT__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`MENU_ELEMENT__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`MENU_ELEMENT__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`MENU_ELEMENT__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`MENU_ELEMENT__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`MENU_ELEMENT__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`MENU_ELEMENT__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`MENU_ELEMENT__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`MENU_ELEMENT__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`MENU_ELEMENT__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`MENU_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Element' class.
`static final int`
`MENU_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Element' class.
`static final int`
`MENU_FEATURE_COUNT`
The number of structural features of the 'Menu' class.
`static final int`
`MENU_ITEM`
The meta object id for the '`Item`' class.
`static final int`
`MENU_ITEM___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`MENU_ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`MENU_ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`MENU_ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`MENU_ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`MENU_ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`MENU_ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`MENU_ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`MENU_ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`MENU_ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`MENU_ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`MENU_ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`MENU_ITEM__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`MENU_ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`MENU_ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`MENU_ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`MENU_ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`MENU_ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`MENU_ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`MENU_ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`MENU_ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`MENU_ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`MENU_ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`MENU_ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`MENU_ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`MENU_ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`MENU_ITEM_FEATURE_COUNT`
The number of structural features of the 'Item' class.
`static final int`
`MENU_ITEM_OPERATION_COUNT`
The number of operations of the 'Item' class.
`static final int`
`MENU_OPERATION_COUNT`
The number of operations of the 'Menu' class.
`static final int`
`MENU_SEPARATOR`
The meta object id for the '`Separator`' class.
`static final int`
`MENU_SEPARATOR___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`MENU_SEPARATOR___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`MENU_SEPARATOR__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`MENU_SEPARATOR__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`MENU_SEPARATOR__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`MENU_SEPARATOR__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`MENU_SEPARATOR__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`MENU_SEPARATOR__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`MENU_SEPARATOR__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`MENU_SEPARATOR__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`MENU_SEPARATOR__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`MENU_SEPARATOR__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`MENU_SEPARATOR__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`MENU_SEPARATOR__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`MENU_SEPARATOR__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`MENU_SEPARATOR__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`MENU_SEPARATOR__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`MENU_SEPARATOR__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`MENU_SEPARATOR__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`MENU_SEPARATOR__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`MENU_SEPARATOR__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`MENU_SEPARATOR__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`MENU_SEPARATOR__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`MENU_SEPARATOR__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`MENU_SEPARATOR_FEATURE_COUNT`
The number of structural features of the 'Separator' class.
`static final int`
`MENU_SEPARATOR_OPERATION_COUNT`
The number of operations of the 'Separator' class.
`static final int`
`POPUP_MENU`
The meta object id for the '`Popup Menu`' class.
`static final int`
`POPUP_MENU___GET_LOCALIZED_MNEMONICS`
The operation id for the 'Get Localized Mnemonics' operation.
`static final int`
`POPUP_MENU___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`POPUP_MENU__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`POPUP_MENU__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`POPUP_MENU__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`POPUP_MENU__CONTEXT`
The feature id for the 'Context' attribute.
`static final int`
`POPUP_MENU__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`POPUP_MENU__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`POPUP_MENU__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`POPUP_MENU__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`POPUP_MENU__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`POPUP_MENU__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`POPUP_MENU__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`POPUP_MENU__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`POPUP_MENU__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`POPUP_MENU__MNEMONICS`
The feature id for the 'Mnemonics' attribute.
`static final int`
`POPUP_MENU__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`POPUP_MENU__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`POPUP_MENU__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`POPUP_MENU__PROPERTIES`
The feature id for the 'Properties' map.
`static final int`
`POPUP_MENU__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`POPUP_MENU__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`POPUP_MENU__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`POPUP_MENU__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`POPUP_MENU__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`POPUP_MENU__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`POPUP_MENU__VARIABLES`
The feature id for the 'Variables' attribute list.
`static final int`
`POPUP_MENU__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`POPUP_MENU__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`POPUP_MENU__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`POPUP_MENU_FEATURE_COUNT`
The number of structural features of the 'Popup Menu' class.
`static final int`
`POPUP_MENU_OPERATION_COUNT`
The number of operations of the 'Popup Menu' class.
`static final int`
`TOOL_BAR`
The meta object id for the '`Tool Bar`' class.
`static final int`
`TOOL_BAR___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`TOOL_BAR__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`TOOL_BAR__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`TOOL_BAR__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`TOOL_BAR__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`TOOL_BAR__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`TOOL_BAR__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`TOOL_BAR__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`TOOL_BAR__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`TOOL_BAR__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`TOOL_BAR__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`TOOL_BAR__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`TOOL_BAR__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`TOOL_BAR__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`TOOL_BAR__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TOOL_BAR__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`TOOL_BAR__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION`
The meta object id for the '`Tool Bar Contribution`' class.
`static final int`
`TOOL_BAR_CONTRIBUTION___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`TOOL_BAR_CONTRIBUTION__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`TOOL_BAR_CONTRIBUTION__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`TOOL_BAR_CONTRIBUTION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`TOOL_BAR_CONTRIBUTION__PARENT_ID`
The feature id for the 'Parent Id' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`TOOL_BAR_CONTRIBUTION__POSITION_IN_PARENT`
The feature id for the 'Position In Parent' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`TOOL_BAR_CONTRIBUTION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`TOOL_BAR_CONTRIBUTION__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`TOOL_BAR_CONTRIBUTION__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`TOOL_BAR_CONTRIBUTION__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`TOOL_BAR_CONTRIBUTION_FEATURE_COUNT`
The number of structural features of the 'Tool Bar Contribution' class.
`static final int`
`TOOL_BAR_CONTRIBUTION_OPERATION_COUNT`
The number of operations of the 'Tool Bar Contribution' class.
`static final int`
`TOOL_BAR_CONTRIBUTIONS`
The meta object id for the '`Tool Bar Contributions`' class.
`static final int`
`TOOL_BAR_CONTRIBUTIONS__TOOL_BAR_CONTRIBUTIONS`
The feature id for the 'Tool Bar Contributions' containment reference list.
`static final int`
`TOOL_BAR_CONTRIBUTIONS_FEATURE_COUNT`
The number of structural features of the 'Tool Bar Contributions' class.
`static final int`
`TOOL_BAR_CONTRIBUTIONS_OPERATION_COUNT`
The number of operations of the 'Tool Bar Contributions' class.
`static final int`
`TOOL_BAR_ELEMENT`
The meta object id for the '`Tool Bar Element`' class.
`static final int`
`TOOL_BAR_ELEMENT___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`TOOL_BAR_ELEMENT__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR_ELEMENT__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`TOOL_BAR_ELEMENT__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`TOOL_BAR_ELEMENT__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`TOOL_BAR_ELEMENT__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`TOOL_BAR_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR_ELEMENT__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`TOOL_BAR_ELEMENT__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`TOOL_BAR_ELEMENT__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`TOOL_BAR_ELEMENT__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`TOOL_BAR_ELEMENT__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`TOOL_BAR_ELEMENT__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`TOOL_BAR_ELEMENT__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`TOOL_BAR_ELEMENT__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TOOL_BAR_ELEMENT__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`TOOL_BAR_ELEMENT__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`TOOL_BAR_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Tool Bar Element' class.
`static final int`
`TOOL_BAR_ELEMENT_OPERATION_COUNT`
The number of operations of the 'Tool Bar Element' class.
`static final int`
`TOOL_BAR_FEATURE_COUNT`
The number of structural features of the 'Tool Bar' class.
`static final int`
`TOOL_BAR_OPERATION_COUNT`
The number of operations of the 'Tool Bar' class.
`static final int`
`TOOL_BAR_SEPARATOR`
The meta object id for the '`Tool Bar Separator`' class.
`static final int`
`TOOL_BAR_SEPARATOR___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`TOOL_BAR_SEPARATOR__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`TOOL_BAR_SEPARATOR__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`TOOL_BAR_SEPARATOR__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`TOOL_BAR_SEPARATOR__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`TOOL_BAR_SEPARATOR__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`TOOL_BAR_SEPARATOR__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TOOL_BAR_SEPARATOR__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`TOOL_BAR_SEPARATOR__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`TOOL_BAR_SEPARATOR_FEATURE_COUNT`
The number of structural features of the 'Tool Bar Separator' class.
`static final int`
`TOOL_BAR_SEPARATOR_OPERATION_COUNT`
The number of operations of the 'Tool Bar Separator' class.
`static final int`
`TOOL_CONTROL`
The meta object id for the '`Tool Control`' class.
`static final int`
`TOOL_CONTROL___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`TOOL_CONTROL__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`TOOL_CONTROL__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`TOOL_CONTROL__CONTRIBUTION_URI`
The feature id for the 'Contribution URI' attribute.
`static final int`
`TOOL_CONTROL__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`TOOL_CONTROL__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`TOOL_CONTROL__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`TOOL_CONTROL__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`TOOL_CONTROL__OBJECT`
The feature id for the 'Object' attribute.
`static final int`
`TOOL_CONTROL__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`TOOL_CONTROL__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`TOOL_CONTROL__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`TOOL_CONTROL__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`TOOL_CONTROL__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`TOOL_CONTROL__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`TOOL_CONTROL__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`TOOL_CONTROL__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TOOL_CONTROL__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`TOOL_CONTROL__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`TOOL_CONTROL_FEATURE_COUNT`
The number of structural features of the 'Tool Control' class.
`static final int`
`TOOL_CONTROL_OPERATION_COUNT`
The number of operations of the 'Tool Control' class.
`static final int`
`TOOL_ITEM`
The meta object id for the '`Tool Item`' class.
`static final int`
`TOOL_ITEM___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`TOOL_ITEM__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`TOOL_ITEM__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`TOOL_ITEM__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`TOOL_ITEM__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`TOOL_ITEM__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`TOOL_ITEM__ENABLED`
The feature id for the 'Enabled' attribute.
`static final int`
`TOOL_ITEM__ICON_URI`
The feature id for the 'Icon URI' attribute.
`static final int`
`TOOL_ITEM__LABEL`
The feature id for the 'Label' attribute.
`static final int`
`TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`TOOL_ITEM__LOCALIZED_LABEL`
The feature id for the 'Localized Label' attribute.
`static final int`
`TOOL_ITEM__LOCALIZED_TOOLTIP`
The feature id for the 'Localized Tooltip' attribute.
`static final int`
`TOOL_ITEM__MENU`
The feature id for the 'Menu' containment reference.
`static final int`
`TOOL_ITEM__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`TOOL_ITEM__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`TOOL_ITEM__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`TOOL_ITEM__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`TOOL_ITEM__SELECTED`
The feature id for the 'Selected' attribute.
`static final int`
`TOOL_ITEM__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`TOOL_ITEM__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`TOOL_ITEM__TOOLTIP`
The feature id for the 'Tooltip' attribute.
`static final int`
`TOOL_ITEM__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`TOOL_ITEM__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`TOOL_ITEM__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TOOL_ITEM__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`TOOL_ITEM__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`TOOL_ITEM_FEATURE_COUNT`
The number of structural features of the 'Tool Item' class.
`static final int`
`TOOL_ITEM_OPERATION_COUNT`
The number of operations of the 'Tool Item' class.
`static final int`
`TRIM_CONTRIBUTION`
The meta object id for the '`Trim Contribution`' class.
`static final int`
`TRIM_CONTRIBUTION___UPDATE_LOCALIZATION`
The operation id for the 'Update Localization' operation.
`static final int`
`TRIM_CONTRIBUTION__ACCESSIBILITY_PHRASE`
The feature id for the 'Accessibility Phrase' attribute.
`static final int`
`TRIM_CONTRIBUTION__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`TRIM_CONTRIBUTION__CONTAINER_DATA`
The feature id for the 'Container Data' attribute.
`static final int`
`TRIM_CONTRIBUTION__CONTRIBUTOR_URI`
The feature id for the 'Contributor URI' attribute.
`static final int`
`TRIM_CONTRIBUTION__CUR_SHARED_REF`
The feature id for the 'Cur Shared Ref' reference.
`static final int`
`TRIM_CONTRIBUTION__ELEMENT_ID`
The feature id for the 'Element Id' attribute.
`static final int`
`TRIM_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE`
The feature id for the 'Localized Accessibility Phrase' attribute.
`static final int`
`TRIM_CONTRIBUTION__ON_TOP`
The feature id for the 'On Top' attribute.
`static final int`
`TRIM_CONTRIBUTION__PARENT`
The feature id for the 'Parent' container reference.
`static final int`
`TRIM_CONTRIBUTION__PARENT_ID`
The feature id for the 'Parent Id' attribute.
`static final int`
`TRIM_CONTRIBUTION__PERSISTED_STATE`
The feature id for the 'Persisted State' map.
`static final int`
`TRIM_CONTRIBUTION__POSITION_IN_PARENT`
The feature id for the 'Position In Parent' attribute.
`static final int`
`TRIM_CONTRIBUTION__RENDERER`
The feature id for the 'Renderer' attribute.
`static final int`
`TRIM_CONTRIBUTION__SELECTED_ELEMENT`
The feature id for the 'Selected Element' reference.
`static final int`
`TRIM_CONTRIBUTION__TAGS`
The feature id for the 'Tags' attribute list.
`static final int`
`TRIM_CONTRIBUTION__TO_BE_RENDERED`
The feature id for the 'To Be Rendered' attribute.
`static final int`
`TRIM_CONTRIBUTION__TRANSIENT_DATA`
The feature id for the 'Transient Data' map.
`static final int`
`TRIM_CONTRIBUTION__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TRIM_CONTRIBUTION__VISIBLE_WHEN`
The feature id for the 'Visible When' containment reference.
`static final int`
`TRIM_CONTRIBUTION__WIDGET`
The feature id for the 'Widget' attribute.
`static final int`
`TRIM_CONTRIBUTION_FEATURE_COUNT`
The number of structural features of the 'Trim Contribution' class.
`static final int`
`TRIM_CONTRIBUTION_OPERATION_COUNT`
The number of operations of the 'Trim Contribution' class.
`static final int`
`TRIM_CONTRIBUTIONS`
The meta object id for the '`Trim Contributions`' class.
`static final int`
`TRIM_CONTRIBUTIONS__TRIM_CONTRIBUTIONS`
The feature id for the 'Trim Contributions' containment reference list.
`static final int`
`TRIM_CONTRIBUTIONS_FEATURE_COUNT`
The number of structural features of the 'Trim Contributions' class.
`static final int`
`TRIM_CONTRIBUTIONS_OPERATION_COUNT`
The number of operations of the 'Trim Contributions' class.

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getDirectMenuItem()`
Returns the meta object for class '`Direct Menu Item`'.
`org.eclipse.emf.ecore.EClass`
`getDirectToolItem()`
Returns the meta object for class '`Direct Tool Item`'.
`org.eclipse.emf.ecore.EClass`
`getDynamicMenuContribution()`
Returns the meta object for class '`Dynamic Menu Contribution`'.
`org.eclipse.emf.ecore.EClass`
`getHandledItem()`
Returns the meta object for class '`Handled Item`'.
`org.eclipse.emf.ecore.EReference`
`getHandledItem_Command()`
Returns the meta object for the reference '`Command`'.
`org.eclipse.emf.ecore.EReference`
`getHandledItem_Parameters()`
Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EAttribute`
`getHandledItem_WbCommand()`
Returns the meta object for the attribute '`Wb Command`'.
`org.eclipse.emf.ecore.EClass`
`getHandledMenuItem()`
Returns the meta object for class '`Handled Menu Item`'.
`org.eclipse.emf.ecore.EClass`
`getHandledToolItem()`
Returns the meta object for class '`Handled Tool Item`'.
`org.eclipse.emf.ecore.EClass`
`getItem()`
Returns the meta object for class '`Item`'.
`org.eclipse.emf.ecore.EOperation`
`getItem__UpdateLocalization()`
Returns the meta object for the '`Update Localization`' operation.
`org.eclipse.emf.ecore.EAttribute`
`getItem_Enabled()`
Returns the meta object for the attribute '`Enabled`'.
`org.eclipse.emf.ecore.EAttribute`
`getItem_Selected()`
Returns the meta object for the attribute '`Selected`'.
`org.eclipse.emf.ecore.EAttribute`
`getItem_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EEnum`
`getItemType()`
Returns the meta object for enum '`Item Type`'.
`org.eclipse.emf.ecore.EClass`
`getMenu()`
Returns the meta object for class '`Menu`'.
`org.eclipse.emf.ecore.EAttribute`
`getMenu_Enabled()`
Returns the meta object for the attribute '`Enabled`'.
`org.eclipse.emf.ecore.EClass`
`getMenuContribution()`
Returns the meta object for class '`Contribution`'.
`org.eclipse.emf.ecore.EAttribute`
`getMenuContribution_ParentId()`
Returns the meta object for the attribute '`Parent Id`'.
`org.eclipse.emf.ecore.EAttribute`
`getMenuContribution_PositionInParent()`
Returns the meta object for the attribute '`Position In Parent`'.
`org.eclipse.emf.ecore.EClass`
`getMenuContributions()`
Returns the meta object for class '`Contributions`'.
`org.eclipse.emf.ecore.EReference`
`getMenuContributions_MenuContributions()`
Returns the meta object for the containment reference list '`Menu Contributions`'.
`org.eclipse.emf.ecore.EClass`
`getMenuElement()`
Returns the meta object for class '`Element`'.
`org.eclipse.emf.ecore.EOperation`
`getMenuElement__GetLocalizedMnemonics()`
Returns the meta object for the '`Get Localized Mnemonics`' operation.
`org.eclipse.emf.ecore.EOperation`
`getMenuElement__UpdateLocalization()`
Returns the meta object for the '`Update Localization`' operation.
`org.eclipse.emf.ecore.EAttribute`
`getMenuElement_Mnemonics()`
Returns the meta object for the attribute '`Mnemonics`'.
`MMenuFactory`
`getMenuFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getMenuItem()`
Returns the meta object for class '`Item`'.
`org.eclipse.emf.ecore.EOperation`
`getMenuItem__UpdateLocalization()`
Returns the meta object for the '`Update Localization`' operation.
`org.eclipse.emf.ecore.EClass`
`getMenuSeparator()`
Returns the meta object for class '`Separator`'.
`org.eclipse.emf.ecore.EClass`
`getPopupMenu()`
Returns the meta object for class '`Popup Menu`'.
`org.eclipse.emf.ecore.EClass`
`getToolBar()`
Returns the meta object for class '`Tool Bar`'.
`org.eclipse.emf.ecore.EClass`
`getToolBarContribution()`
Returns the meta object for class '`Tool Bar Contribution`'.
`org.eclipse.emf.ecore.EAttribute`
`getToolBarContribution_ParentId()`
Returns the meta object for the attribute '`Parent Id`'.
`org.eclipse.emf.ecore.EAttribute`
`getToolBarContribution_PositionInParent()`
Returns the meta object for the attribute '`Position In Parent`'.
`org.eclipse.emf.ecore.EClass`
`getToolBarContributions()`
Returns the meta object for class '`Tool Bar Contributions`'.
`org.eclipse.emf.ecore.EReference`
`getToolBarContributions_ToolBarContributions()`
Returns the meta object for the containment reference list '`Tool Bar Contributions`'.
`org.eclipse.emf.ecore.EClass`
`getToolBarElement()`
Returns the meta object for class '`Tool Bar Element`'.
`org.eclipse.emf.ecore.EClass`
`getToolBarSeparator()`
Returns the meta object for class '`Tool Bar Separator`'.
`org.eclipse.emf.ecore.EClass`
`getToolControl()`
Returns the meta object for class '`Tool Control`'.
`org.eclipse.emf.ecore.EClass`
`getToolItem()`
Returns the meta object for class '`Tool Item`'.
`org.eclipse.emf.ecore.EReference`
`getToolItem_Menu()`
Returns the meta object for the containment reference '`Menu`'.
`org.eclipse.emf.ecore.EClass`
`getTrimContribution()`
Returns the meta object for class '`Trim Contribution`'.
`org.eclipse.emf.ecore.EAttribute`
`getTrimContribution_ParentId()`
Returns the meta object for the attribute '`Parent Id`'.
`org.eclipse.emf.ecore.EAttribute`
`getTrimContribution_PositionInParent()`
Returns the meta object for the attribute '`Position In Parent`'.
`org.eclipse.emf.ecore.EClass`
`getTrimContributions()`
Returns the meta object for class '`Trim Contributions`'.
`org.eclipse.emf.ecore.EReference`
`getTrimContributions_TrimContributions()`
Returns the meta object for the containment reference list '`Trim Contributions`'.
`static MenuPackageImpl`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

public static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

public static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

public static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

public static final MenuPackageImpl eINSTANCE
The singleton instance of the package.

### ITEM

public static final int ITEM
The meta object id for the '`Item`' class.

Since:
  1.0
See Also:
  - `ItemImpl`
  - `getItem()`
  - Constant Field Values

### ITEM__ELEMENT_ID

public static final int ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__PERSISTED_STATE

public static final int ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__TAGS

public static final int ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__CONTRIBUTOR_URI

public static final int ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__TRANSIENT_DATA

public static final int ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__WIDGET

public static final int ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__RENDERER

public static final int ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__TO_BE_RENDERED

public static final int ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__ON_TOP

public static final int ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__VISIBLE

public static final int ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__PARENT

public static final int ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__CONTAINER_DATA

public static final int ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__CUR_SHARED_REF

public static final int ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__VISIBLE_WHEN

public static final int ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__ACCESSIBILITY_PHRASE

public static final int ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__LABEL

public static final int ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__ICON_URI

public static final int ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__TOOLTIP

public static final int ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__LOCALIZED_LABEL

public static final int ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__LOCALIZED_TOOLTIP

public static final int ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__ENABLED

public static final int ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__SELECTED

public static final int ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM__TYPE

public static final int ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM_FEATURE_COUNT

public static final int ITEM_FEATURE_COUNT
The number of structural features of the 'Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM___UPDATE_LOCALIZATION

public static final int ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### ITEM_OPERATION_COUNT

public static final int ITEM_OPERATION_COUNT
The number of operations of the 'Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM

public static final int HANDLED_ITEM
The meta object id for the '`Handled Item`' class.

Since:
  1.0
See Also:
  - `HandledItemImpl`
  - `getHandledItem()`
  - Constant Field Values

### HANDLED_ITEM__ELEMENT_ID

public static final int HANDLED_ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__PERSISTED_STATE

public static final int HANDLED_ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__TAGS

public static final int HANDLED_ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__CONTRIBUTOR_URI

public static final int HANDLED_ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__TRANSIENT_DATA

public static final int HANDLED_ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__WIDGET

public static final int HANDLED_ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__RENDERER

public static final int HANDLED_ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__TO_BE_RENDERED

public static final int HANDLED_ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__ON_TOP

public static final int HANDLED_ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__VISIBLE

public static final int HANDLED_ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__PARENT

public static final int HANDLED_ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__CONTAINER_DATA

public static final int HANDLED_ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__CUR_SHARED_REF

public static final int HANDLED_ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__VISIBLE_WHEN

public static final int HANDLED_ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__ACCESSIBILITY_PHRASE

public static final int HANDLED_ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int HANDLED_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__LABEL

public static final int HANDLED_ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__ICON_URI

public static final int HANDLED_ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__TOOLTIP

public static final int HANDLED_ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__LOCALIZED_LABEL

public static final int HANDLED_ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__LOCALIZED_TOOLTIP

public static final int HANDLED_ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__ENABLED

public static final int HANDLED_ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__SELECTED

public static final int HANDLED_ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__TYPE

public static final int HANDLED_ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__COMMAND

public static final int HANDLED_ITEM__COMMAND
The feature id for the 'Command' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM__WB_COMMAND

public static final int HANDLED_ITEM__WB_COMMAND
The feature id for the 'Wb Command' attribute.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:

### HANDLED_ITEM__PARAMETERS

public static final int HANDLED_ITEM__PARAMETERS
The feature id for the 'Parameters' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM_FEATURE_COUNT

public static final int HANDLED_ITEM_FEATURE_COUNT
The number of structural features of the 'Handled Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_ITEM___UPDATE_LOCALIZATION

public static final int HANDLED_ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### HANDLED_ITEM_OPERATION_COUNT

public static final int HANDLED_ITEM_OPERATION_COUNT
The number of operations of the 'Handled Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT

public static final int MENU_ELEMENT
The meta object id for the '`Element`' class.

Since:
  1.0
See Also:
  - `MenuElementImpl`
  - `getMenuElement()`
  - Constant Field Values

### MENU_ELEMENT__ELEMENT_ID

public static final int MENU_ELEMENT__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__PERSISTED_STATE

public static final int MENU_ELEMENT__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__TAGS

public static final int MENU_ELEMENT__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__CONTRIBUTOR_URI

public static final int MENU_ELEMENT__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__TRANSIENT_DATA

public static final int MENU_ELEMENT__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__WIDGET

public static final int MENU_ELEMENT__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__RENDERER

public static final int MENU_ELEMENT__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__TO_BE_RENDERED

public static final int MENU_ELEMENT__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__ON_TOP

public static final int MENU_ELEMENT__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__VISIBLE

public static final int MENU_ELEMENT__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__PARENT

public static final int MENU_ELEMENT__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__CONTAINER_DATA

public static final int MENU_ELEMENT__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__CUR_SHARED_REF

public static final int MENU_ELEMENT__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__VISIBLE_WHEN

public static final int MENU_ELEMENT__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__ACCESSIBILITY_PHRASE

public static final int MENU_ELEMENT__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int MENU_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__LABEL

public static final int MENU_ELEMENT__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__ICON_URI

public static final int MENU_ELEMENT__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__TOOLTIP

public static final int MENU_ELEMENT__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__LOCALIZED_LABEL

public static final int MENU_ELEMENT__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__LOCALIZED_TOOLTIP

public static final int MENU_ELEMENT__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT__MNEMONICS

public static final int MENU_ELEMENT__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT_FEATURE_COUNT

public static final int MENU_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT___GET_LOCALIZED_MNEMONICS

public static final int MENU_ELEMENT___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ELEMENT___UPDATE_LOCALIZATION

public static final int MENU_ELEMENT___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### MENU_ELEMENT_OPERATION_COUNT

public static final int MENU_ELEMENT_OPERATION_COUNT
The number of operations of the 'Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM

public static final int MENU_ITEM
The meta object id for the '`Item`' class.

Since:
  1.0
See Also:
  - `MenuItemImpl`
  - `getMenuItem()`
  - Constant Field Values

### MENU_ITEM__ELEMENT_ID

public static final int MENU_ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__PERSISTED_STATE

public static final int MENU_ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__TAGS

public static final int MENU_ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__CONTRIBUTOR_URI

public static final int MENU_ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__TRANSIENT_DATA

public static final int MENU_ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__WIDGET

public static final int MENU_ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__RENDERER

public static final int MENU_ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__TO_BE_RENDERED

public static final int MENU_ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__ON_TOP

public static final int MENU_ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__VISIBLE

public static final int MENU_ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__PARENT

public static final int MENU_ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__CONTAINER_DATA

public static final int MENU_ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__CUR_SHARED_REF

public static final int MENU_ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__VISIBLE_WHEN

public static final int MENU_ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__ACCESSIBILITY_PHRASE

public static final int MENU_ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__LABEL

public static final int MENU_ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__ICON_URI

public static final int MENU_ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__TOOLTIP

public static final int MENU_ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__LOCALIZED_LABEL

public static final int MENU_ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__LOCALIZED_TOOLTIP

public static final int MENU_ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__ENABLED

public static final int MENU_ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__SELECTED

public static final int MENU_ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__TYPE

public static final int MENU_ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM__MNEMONICS

public static final int MENU_ITEM__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM_FEATURE_COUNT

public static final int MENU_ITEM_FEATURE_COUNT
The number of structural features of the 'Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM___GET_LOCALIZED_MNEMONICS

public static final int MENU_ITEM___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_ITEM___UPDATE_LOCALIZATION

public static final int MENU_ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### MENU_ITEM_OPERATION_COUNT

public static final int MENU_ITEM_OPERATION_COUNT
The number of operations of the 'Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR

public static final int MENU_SEPARATOR
The meta object id for the '`Separator`' class.

Since:
  1.0
See Also:
  - `MenuSeparatorImpl`
  - `getMenuSeparator()`
  - Constant Field Values

### MENU_SEPARATOR__ELEMENT_ID

public static final int MENU_SEPARATOR__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__PERSISTED_STATE

public static final int MENU_SEPARATOR__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__TAGS

public static final int MENU_SEPARATOR__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__CONTRIBUTOR_URI

public static final int MENU_SEPARATOR__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__TRANSIENT_DATA

public static final int MENU_SEPARATOR__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__WIDGET

public static final int MENU_SEPARATOR__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__RENDERER

public static final int MENU_SEPARATOR__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__TO_BE_RENDERED

public static final int MENU_SEPARATOR__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__ON_TOP

public static final int MENU_SEPARATOR__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__VISIBLE

public static final int MENU_SEPARATOR__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__PARENT

public static final int MENU_SEPARATOR__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__CONTAINER_DATA

public static final int MENU_SEPARATOR__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__CUR_SHARED_REF

public static final int MENU_SEPARATOR__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__VISIBLE_WHEN

public static final int MENU_SEPARATOR__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__ACCESSIBILITY_PHRASE

public static final int MENU_SEPARATOR__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int MENU_SEPARATOR__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__LABEL

public static final int MENU_SEPARATOR__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__ICON_URI

public static final int MENU_SEPARATOR__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__TOOLTIP

public static final int MENU_SEPARATOR__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__LOCALIZED_LABEL

public static final int MENU_SEPARATOR__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__LOCALIZED_TOOLTIP

public static final int MENU_SEPARATOR__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR__MNEMONICS

public static final int MENU_SEPARATOR__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR_FEATURE_COUNT

public static final int MENU_SEPARATOR_FEATURE_COUNT
The number of structural features of the 'Separator' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR___GET_LOCALIZED_MNEMONICS

public static final int MENU_SEPARATOR___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_SEPARATOR___UPDATE_LOCALIZATION

public static final int MENU_SEPARATOR___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### MENU_SEPARATOR_OPERATION_COUNT

public static final int MENU_SEPARATOR_OPERATION_COUNT
The number of operations of the 'Separator' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU

public static final int MENU
The meta object id for the '`Menu`' class.

Since:
  1.0
See Also:
  - `MenuImpl`
  - `getMenu()`
  - Constant Field Values

### MENU__ELEMENT_ID

public static final int MENU__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__PERSISTED_STATE

public static final int MENU__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__TAGS

public static final int MENU__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__CONTRIBUTOR_URI

public static final int MENU__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__TRANSIENT_DATA

public static final int MENU__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__WIDGET

public static final int MENU__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__RENDERER

public static final int MENU__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__TO_BE_RENDERED

public static final int MENU__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__ON_TOP

public static final int MENU__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__VISIBLE

public static final int MENU__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__PARENT

public static final int MENU__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__CONTAINER_DATA

public static final int MENU__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__CUR_SHARED_REF

public static final int MENU__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__VISIBLE_WHEN

public static final int MENU__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__ACCESSIBILITY_PHRASE

public static final int MENU__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int MENU__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__LABEL

public static final int MENU__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__ICON_URI

public static final int MENU__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__TOOLTIP

public static final int MENU__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__LOCALIZED_LABEL

public static final int MENU__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__LOCALIZED_TOOLTIP

public static final int MENU__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__MNEMONICS

public static final int MENU__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__CHILDREN

public static final int MENU__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__SELECTED_ELEMENT

public static final int MENU__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU__ENABLED

public static final int MENU__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_FEATURE_COUNT

public static final int MENU_FEATURE_COUNT
The number of structural features of the 'Menu' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU___GET_LOCALIZED_MNEMONICS

public static final int MENU___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU___UPDATE_LOCALIZATION

public static final int MENU___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### MENU_OPERATION_COUNT

public static final int MENU_OPERATION_COUNT
The number of operations of the 'Menu' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION

public static final int MENU_CONTRIBUTION
The meta object id for the '`Contribution`' class.

Since:
  1.0
See Also:
  - `MenuContributionImpl`
  - `getMenuContribution()`
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### MENU_CONTRIBUTION__ELEMENT_ID

public static final int MENU_CONTRIBUTION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__PERSISTED_STATE

public static final int MENU_CONTRIBUTION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__TAGS

public static final int MENU_CONTRIBUTION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__CONTRIBUTOR_URI

public static final int MENU_CONTRIBUTION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__TRANSIENT_DATA

public static final int MENU_CONTRIBUTION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__WIDGET

public static final int MENU_CONTRIBUTION__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__RENDERER

public static final int MENU_CONTRIBUTION__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__TO_BE_RENDERED

public static final int MENU_CONTRIBUTION__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__ON_TOP

public static final int MENU_CONTRIBUTION__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__VISIBLE

public static final int MENU_CONTRIBUTION__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__PARENT

public static final int MENU_CONTRIBUTION__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__CONTAINER_DATA

public static final int MENU_CONTRIBUTION__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__CUR_SHARED_REF

public static final int MENU_CONTRIBUTION__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__VISIBLE_WHEN

public static final int MENU_CONTRIBUTION__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__ACCESSIBILITY_PHRASE

public static final int MENU_CONTRIBUTION__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int MENU_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__CHILDREN

public static final int MENU_CONTRIBUTION__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__SELECTED_ELEMENT

public static final int MENU_CONTRIBUTION__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__POSITION_IN_PARENT

public static final int MENU_CONTRIBUTION__POSITION_IN_PARENT
The feature id for the 'Position In Parent' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION__PARENT_ID

public static final int MENU_CONTRIBUTION__PARENT_ID
The feature id for the 'Parent Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION_FEATURE_COUNT

public static final int MENU_CONTRIBUTION_FEATURE_COUNT
The number of structural features of the 'Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### MENU_CONTRIBUTION___UPDATE_LOCALIZATION

public static final int MENU_CONTRIBUTION___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### MENU_CONTRIBUTION_OPERATION_COUNT

public static final int MENU_CONTRIBUTION_OPERATION_COUNT
The number of operations of the 'Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### POPUP_MENU

public static final int POPUP_MENU
The meta object id for the '`Popup Menu`' class.

Since:
  1.0
See Also:
  - `PopupMenuImpl`
  - `getPopupMenu()`
  - Constant Field Values

### POPUP_MENU__ELEMENT_ID

public static final int POPUP_MENU__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__PERSISTED_STATE

public static final int POPUP_MENU__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__TAGS

public static final int POPUP_MENU__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__CONTRIBUTOR_URI

public static final int POPUP_MENU__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__TRANSIENT_DATA

public static final int POPUP_MENU__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__WIDGET

public static final int POPUP_MENU__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__RENDERER

public static final int POPUP_MENU__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__TO_BE_RENDERED

public static final int POPUP_MENU__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__ON_TOP

public static final int POPUP_MENU__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__VISIBLE

public static final int POPUP_MENU__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__PARENT

public static final int POPUP_MENU__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__CONTAINER_DATA

public static final int POPUP_MENU__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__CUR_SHARED_REF

public static final int POPUP_MENU__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__VISIBLE_WHEN

public static final int POPUP_MENU__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__ACCESSIBILITY_PHRASE

public static final int POPUP_MENU__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int POPUP_MENU__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__LABEL

public static final int POPUP_MENU__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__ICON_URI

public static final int POPUP_MENU__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__TOOLTIP

public static final int POPUP_MENU__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__LOCALIZED_LABEL

public static final int POPUP_MENU__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__LOCALIZED_TOOLTIP

public static final int POPUP_MENU__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__MNEMONICS

public static final int POPUP_MENU__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__CHILDREN

public static final int POPUP_MENU__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__SELECTED_ELEMENT

public static final int POPUP_MENU__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__ENABLED

public static final int POPUP_MENU__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__CONTEXT

public static final int POPUP_MENU__CONTEXT
The feature id for the 'Context' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__VARIABLES

public static final int POPUP_MENU__VARIABLES
The feature id for the 'Variables' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU__PROPERTIES

public static final int POPUP_MENU__PROPERTIES
The feature id for the 'Properties' map.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU_FEATURE_COUNT

public static final int POPUP_MENU_FEATURE_COUNT
The number of structural features of the 'Popup Menu' class.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU___GET_LOCALIZED_MNEMONICS

public static final int POPUP_MENU___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### POPUP_MENU___UPDATE_LOCALIZATION

public static final int POPUP_MENU___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### POPUP_MENU_OPERATION_COUNT

public static final int POPUP_MENU_OPERATION_COUNT
The number of operations of the 'Popup Menu' class.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM

public static final int DIRECT_MENU_ITEM
The meta object id for the '`Direct Menu Item`' class.

Since:
  1.0
See Also:
  - `DirectMenuItemImpl`
  - `getDirectMenuItem()`
  - Constant Field Values

### DIRECT_MENU_ITEM__ELEMENT_ID

public static final int DIRECT_MENU_ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__PERSISTED_STATE

public static final int DIRECT_MENU_ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__TAGS

public static final int DIRECT_MENU_ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__CONTRIBUTOR_URI

public static final int DIRECT_MENU_ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__TRANSIENT_DATA

public static final int DIRECT_MENU_ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__WIDGET

public static final int DIRECT_MENU_ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__RENDERER

public static final int DIRECT_MENU_ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__TO_BE_RENDERED

public static final int DIRECT_MENU_ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__ON_TOP

public static final int DIRECT_MENU_ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__VISIBLE

public static final int DIRECT_MENU_ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__PARENT

public static final int DIRECT_MENU_ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__CONTAINER_DATA

public static final int DIRECT_MENU_ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__CUR_SHARED_REF

public static final int DIRECT_MENU_ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__VISIBLE_WHEN

public static final int DIRECT_MENU_ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__ACCESSIBILITY_PHRASE

public static final int DIRECT_MENU_ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int DIRECT_MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__LABEL

public static final int DIRECT_MENU_ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__ICON_URI

public static final int DIRECT_MENU_ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__TOOLTIP

public static final int DIRECT_MENU_ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__LOCALIZED_LABEL

public static final int DIRECT_MENU_ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__LOCALIZED_TOOLTIP

public static final int DIRECT_MENU_ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__ENABLED

public static final int DIRECT_MENU_ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__SELECTED

public static final int DIRECT_MENU_ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__TYPE

public static final int DIRECT_MENU_ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__MNEMONICS

public static final int DIRECT_MENU_ITEM__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__CONTRIBUTION_URI

public static final int DIRECT_MENU_ITEM__CONTRIBUTION_URI
The feature id for the 'Contribution URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM__OBJECT

public static final int DIRECT_MENU_ITEM__OBJECT
The feature id for the 'Object' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM_FEATURE_COUNT

public static final int DIRECT_MENU_ITEM_FEATURE_COUNT
The number of structural features of the 'Direct Menu Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM___GET_LOCALIZED_MNEMONICS

public static final int DIRECT_MENU_ITEM___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM___UPDATE_LOCALIZATION

public static final int DIRECT_MENU_ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### DIRECT_MENU_ITEM_OPERATION_COUNT

public static final int DIRECT_MENU_ITEM_OPERATION_COUNT
The number of operations of the 'Direct Menu Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM

public static final int HANDLED_MENU_ITEM
The meta object id for the '`Handled Menu Item`' class.

Since:
  1.0
See Also:
  - `HandledMenuItemImpl`
  - `getHandledMenuItem()`
  - Constant Field Values

### HANDLED_MENU_ITEM__ELEMENT_ID

public static final int HANDLED_MENU_ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__PERSISTED_STATE

public static final int HANDLED_MENU_ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__TAGS

public static final int HANDLED_MENU_ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__CONTRIBUTOR_URI

public static final int HANDLED_MENU_ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__TRANSIENT_DATA

public static final int HANDLED_MENU_ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__WIDGET

public static final int HANDLED_MENU_ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__RENDERER

public static final int HANDLED_MENU_ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__TO_BE_RENDERED

public static final int HANDLED_MENU_ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__ON_TOP

public static final int HANDLED_MENU_ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__VISIBLE

public static final int HANDLED_MENU_ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__PARENT

public static final int HANDLED_MENU_ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__CONTAINER_DATA

public static final int HANDLED_MENU_ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__CUR_SHARED_REF

public static final int HANDLED_MENU_ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__VISIBLE_WHEN

public static final int HANDLED_MENU_ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__ACCESSIBILITY_PHRASE

public static final int HANDLED_MENU_ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int HANDLED_MENU_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__LABEL

public static final int HANDLED_MENU_ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__ICON_URI

public static final int HANDLED_MENU_ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__TOOLTIP

public static final int HANDLED_MENU_ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__LOCALIZED_LABEL

public static final int HANDLED_MENU_ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__LOCALIZED_TOOLTIP

public static final int HANDLED_MENU_ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__ENABLED

public static final int HANDLED_MENU_ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__SELECTED

public static final int HANDLED_MENU_ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__TYPE

public static final int HANDLED_MENU_ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__MNEMONICS

public static final int HANDLED_MENU_ITEM__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__COMMAND

public static final int HANDLED_MENU_ITEM__COMMAND
The feature id for the 'Command' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM__WB_COMMAND

public static final int HANDLED_MENU_ITEM__WB_COMMAND
The feature id for the 'Wb Command' attribute.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:

### HANDLED_MENU_ITEM__PARAMETERS

public static final int HANDLED_MENU_ITEM__PARAMETERS
The feature id for the 'Parameters' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM_FEATURE_COUNT

public static final int HANDLED_MENU_ITEM_FEATURE_COUNT
The number of structural features of the 'Handled Menu Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM___GET_LOCALIZED_MNEMONICS

public static final int HANDLED_MENU_ITEM___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM___UPDATE_LOCALIZATION

public static final int HANDLED_MENU_ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### HANDLED_MENU_ITEM_OPERATION_COUNT

public static final int HANDLED_MENU_ITEM_OPERATION_COUNT
The number of operations of the 'Handled Menu Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM

public static final int TOOL_ITEM
The meta object id for the '`Tool Item`' class.

Since:
  1.0
See Also:
  - `ToolItemImpl`
  - `getToolItem()`
  - Constant Field Values

### TOOL_ITEM__ELEMENT_ID

public static final int TOOL_ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__PERSISTED_STATE

public static final int TOOL_ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__TAGS

public static final int TOOL_ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__CONTRIBUTOR_URI

public static final int TOOL_ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__TRANSIENT_DATA

public static final int TOOL_ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__WIDGET

public static final int TOOL_ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__RENDERER

public static final int TOOL_ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__TO_BE_RENDERED

public static final int TOOL_ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__ON_TOP

public static final int TOOL_ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__VISIBLE

public static final int TOOL_ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__PARENT

public static final int TOOL_ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__CONTAINER_DATA

public static final int TOOL_ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__CUR_SHARED_REF

public static final int TOOL_ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__VISIBLE_WHEN

public static final int TOOL_ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__ACCESSIBILITY_PHRASE

public static final int TOOL_ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__LABEL

public static final int TOOL_ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__ICON_URI

public static final int TOOL_ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__TOOLTIP

public static final int TOOL_ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__LOCALIZED_LABEL

public static final int TOOL_ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__LOCALIZED_TOOLTIP

public static final int TOOL_ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__ENABLED

public static final int TOOL_ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__SELECTED

public static final int TOOL_ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__TYPE

public static final int TOOL_ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM__MENU

public static final int TOOL_ITEM__MENU
The feature id for the 'Menu' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM_FEATURE_COUNT

public static final int TOOL_ITEM_FEATURE_COUNT
The number of structural features of the 'Tool Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_ITEM___UPDATE_LOCALIZATION

public static final int TOOL_ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### TOOL_ITEM_OPERATION_COUNT

public static final int TOOL_ITEM_OPERATION_COUNT
The number of operations of the 'Tool Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR

public static final int TOOL_BAR
The meta object id for the '`Tool Bar`' class.

Since:
  1.0
See Also:
  - `ToolBarImpl`
  - `getToolBar()`
  - Constant Field Values

### TOOL_BAR__ELEMENT_ID

public static final int TOOL_BAR__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__PERSISTED_STATE

public static final int TOOL_BAR__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__TAGS

public static final int TOOL_BAR__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__CONTRIBUTOR_URI

public static final int TOOL_BAR__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__TRANSIENT_DATA

public static final int TOOL_BAR__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__WIDGET

public static final int TOOL_BAR__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__RENDERER

public static final int TOOL_BAR__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__TO_BE_RENDERED

public static final int TOOL_BAR__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__ON_TOP

public static final int TOOL_BAR__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__VISIBLE

public static final int TOOL_BAR__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__PARENT

public static final int TOOL_BAR__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__CONTAINER_DATA

public static final int TOOL_BAR__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__CUR_SHARED_REF

public static final int TOOL_BAR__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__VISIBLE_WHEN

public static final int TOOL_BAR__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__ACCESSIBILITY_PHRASE

public static final int TOOL_BAR__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int TOOL_BAR__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__CHILDREN

public static final int TOOL_BAR__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR__SELECTED_ELEMENT

public static final int TOOL_BAR__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_FEATURE_COUNT

public static final int TOOL_BAR_FEATURE_COUNT
The number of structural features of the 'Tool Bar' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR___UPDATE_LOCALIZATION

public static final int TOOL_BAR___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### TOOL_BAR_OPERATION_COUNT

public static final int TOOL_BAR_OPERATION_COUNT
The number of operations of the 'Tool Bar' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT

public static final int TOOL_BAR_ELEMENT
The meta object id for the '`Tool Bar Element`' class.

Since:
  1.0
See Also:
  - `ToolBarElementImpl`
  - `getToolBarElement()`
  - Constant Field Values

### TOOL_BAR_ELEMENT__ELEMENT_ID

public static final int TOOL_BAR_ELEMENT__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__PERSISTED_STATE

public static final int TOOL_BAR_ELEMENT__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__TAGS

public static final int TOOL_BAR_ELEMENT__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__CONTRIBUTOR_URI

public static final int TOOL_BAR_ELEMENT__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__TRANSIENT_DATA

public static final int TOOL_BAR_ELEMENT__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__WIDGET

public static final int TOOL_BAR_ELEMENT__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__RENDERER

public static final int TOOL_BAR_ELEMENT__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__TO_BE_RENDERED

public static final int TOOL_BAR_ELEMENT__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__ON_TOP

public static final int TOOL_BAR_ELEMENT__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__VISIBLE

public static final int TOOL_BAR_ELEMENT__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__PARENT

public static final int TOOL_BAR_ELEMENT__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__CONTAINER_DATA

public static final int TOOL_BAR_ELEMENT__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__CUR_SHARED_REF

public static final int TOOL_BAR_ELEMENT__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__VISIBLE_WHEN

public static final int TOOL_BAR_ELEMENT__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__ACCESSIBILITY_PHRASE

public static final int TOOL_BAR_ELEMENT__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int TOOL_BAR_ELEMENT__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT_FEATURE_COUNT

public static final int TOOL_BAR_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Tool Bar Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT___UPDATE_LOCALIZATION

public static final int TOOL_BAR_ELEMENT___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### TOOL_BAR_ELEMENT_OPERATION_COUNT

public static final int TOOL_BAR_ELEMENT_OPERATION_COUNT
The number of operations of the 'Tool Bar Element' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL

public static final int TOOL_CONTROL
The meta object id for the '`Tool Control`' class.

Since:
  1.0
See Also:
  - `ToolControlImpl`
  - `getToolControl()`
  - Constant Field Values

### TOOL_CONTROL__ELEMENT_ID

public static final int TOOL_CONTROL__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__PERSISTED_STATE

public static final int TOOL_CONTROL__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__TAGS

public static final int TOOL_CONTROL__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__CONTRIBUTOR_URI

public static final int TOOL_CONTROL__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__TRANSIENT_DATA

public static final int TOOL_CONTROL__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__WIDGET

public static final int TOOL_CONTROL__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__RENDERER

public static final int TOOL_CONTROL__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__TO_BE_RENDERED

public static final int TOOL_CONTROL__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__ON_TOP

public static final int TOOL_CONTROL__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__VISIBLE

public static final int TOOL_CONTROL__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__PARENT

public static final int TOOL_CONTROL__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__CONTAINER_DATA

public static final int TOOL_CONTROL__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__CUR_SHARED_REF

public static final int TOOL_CONTROL__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__VISIBLE_WHEN

public static final int TOOL_CONTROL__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__ACCESSIBILITY_PHRASE

public static final int TOOL_CONTROL__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int TOOL_CONTROL__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__CONTRIBUTION_URI

public static final int TOOL_CONTROL__CONTRIBUTION_URI
The feature id for the 'Contribution URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL__OBJECT

public static final int TOOL_CONTROL__OBJECT
The feature id for the 'Object' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL_FEATURE_COUNT

public static final int TOOL_CONTROL_FEATURE_COUNT
The number of structural features of the 'Tool Control' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_CONTROL___UPDATE_LOCALIZATION

public static final int TOOL_CONTROL___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### TOOL_CONTROL_OPERATION_COUNT

public static final int TOOL_CONTROL_OPERATION_COUNT
The number of operations of the 'Tool Control' class.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM

public static final int HANDLED_TOOL_ITEM
The meta object id for the '`Handled Tool Item`' class.

Since:
  1.0
See Also:
  - `HandledToolItemImpl`
  - `getHandledToolItem()`
  - Constant Field Values

### HANDLED_TOOL_ITEM__ELEMENT_ID

public static final int HANDLED_TOOL_ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__PERSISTED_STATE

public static final int HANDLED_TOOL_ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__TAGS

public static final int HANDLED_TOOL_ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__CONTRIBUTOR_URI

public static final int HANDLED_TOOL_ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__TRANSIENT_DATA

public static final int HANDLED_TOOL_ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__WIDGET

public static final int HANDLED_TOOL_ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__RENDERER

public static final int HANDLED_TOOL_ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__TO_BE_RENDERED

public static final int HANDLED_TOOL_ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__ON_TOP

public static final int HANDLED_TOOL_ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__VISIBLE

public static final int HANDLED_TOOL_ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__PARENT

public static final int HANDLED_TOOL_ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__CONTAINER_DATA

public static final int HANDLED_TOOL_ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__CUR_SHARED_REF

public static final int HANDLED_TOOL_ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__VISIBLE_WHEN

public static final int HANDLED_TOOL_ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__ACCESSIBILITY_PHRASE

public static final int HANDLED_TOOL_ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int HANDLED_TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__LABEL

public static final int HANDLED_TOOL_ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__ICON_URI

public static final int HANDLED_TOOL_ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__TOOLTIP

public static final int HANDLED_TOOL_ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__LOCALIZED_LABEL

public static final int HANDLED_TOOL_ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__LOCALIZED_TOOLTIP

public static final int HANDLED_TOOL_ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__ENABLED

public static final int HANDLED_TOOL_ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__SELECTED

public static final int HANDLED_TOOL_ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__TYPE

public static final int HANDLED_TOOL_ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__MENU

public static final int HANDLED_TOOL_ITEM__MENU
The feature id for the 'Menu' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__COMMAND

public static final int HANDLED_TOOL_ITEM__COMMAND
The feature id for the 'Command' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM__WB_COMMAND

public static final int HANDLED_TOOL_ITEM__WB_COMMAND
The feature id for the 'Wb Command' attribute.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:

### HANDLED_TOOL_ITEM__PARAMETERS

public static final int HANDLED_TOOL_ITEM__PARAMETERS
The feature id for the 'Parameters' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM_FEATURE_COUNT

public static final int HANDLED_TOOL_ITEM_FEATURE_COUNT
The number of structural features of the 'Handled Tool Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM___UPDATE_LOCALIZATION

public static final int HANDLED_TOOL_ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### HANDLED_TOOL_ITEM_OPERATION_COUNT

public static final int HANDLED_TOOL_ITEM_OPERATION_COUNT
The number of operations of the 'Handled Tool Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM

public static final int DIRECT_TOOL_ITEM
The meta object id for the '`Direct Tool Item`' class.

Since:
  1.0
See Also:
  - `DirectToolItemImpl`
  - `getDirectToolItem()`
  - Constant Field Values

### DIRECT_TOOL_ITEM__ELEMENT_ID

public static final int DIRECT_TOOL_ITEM__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__PERSISTED_STATE

public static final int DIRECT_TOOL_ITEM__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__TAGS

public static final int DIRECT_TOOL_ITEM__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__CONTRIBUTOR_URI

public static final int DIRECT_TOOL_ITEM__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__TRANSIENT_DATA

public static final int DIRECT_TOOL_ITEM__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__WIDGET

public static final int DIRECT_TOOL_ITEM__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__RENDERER

public static final int DIRECT_TOOL_ITEM__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__TO_BE_RENDERED

public static final int DIRECT_TOOL_ITEM__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__ON_TOP

public static final int DIRECT_TOOL_ITEM__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__VISIBLE

public static final int DIRECT_TOOL_ITEM__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__PARENT

public static final int DIRECT_TOOL_ITEM__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__CONTAINER_DATA

public static final int DIRECT_TOOL_ITEM__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__CUR_SHARED_REF

public static final int DIRECT_TOOL_ITEM__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__VISIBLE_WHEN

public static final int DIRECT_TOOL_ITEM__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__ACCESSIBILITY_PHRASE

public static final int DIRECT_TOOL_ITEM__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int DIRECT_TOOL_ITEM__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__LABEL

public static final int DIRECT_TOOL_ITEM__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__ICON_URI

public static final int DIRECT_TOOL_ITEM__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__TOOLTIP

public static final int DIRECT_TOOL_ITEM__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__LOCALIZED_LABEL

public static final int DIRECT_TOOL_ITEM__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__LOCALIZED_TOOLTIP

public static final int DIRECT_TOOL_ITEM__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__ENABLED

public static final int DIRECT_TOOL_ITEM__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__SELECTED

public static final int DIRECT_TOOL_ITEM__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__TYPE

public static final int DIRECT_TOOL_ITEM__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__MENU

public static final int DIRECT_TOOL_ITEM__MENU
The feature id for the 'Menu' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__CONTRIBUTION_URI

public static final int DIRECT_TOOL_ITEM__CONTRIBUTION_URI
The feature id for the 'Contribution URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM__OBJECT

public static final int DIRECT_TOOL_ITEM__OBJECT
The feature id for the 'Object' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM_FEATURE_COUNT

public static final int DIRECT_TOOL_ITEM_FEATURE_COUNT
The number of structural features of the 'Direct Tool Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM___UPDATE_LOCALIZATION

public static final int DIRECT_TOOL_ITEM___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### DIRECT_TOOL_ITEM_OPERATION_COUNT

public static final int DIRECT_TOOL_ITEM_OPERATION_COUNT
The number of operations of the 'Direct Tool Item' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR

public static final int TOOL_BAR_SEPARATOR
The meta object id for the '`Tool Bar Separator`' class.

Since:
  1.0
See Also:
  - `ToolBarSeparatorImpl`
  - `getToolBarSeparator()`
  - Constant Field Values

### TOOL_BAR_SEPARATOR__ELEMENT_ID

public static final int TOOL_BAR_SEPARATOR__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__PERSISTED_STATE

public static final int TOOL_BAR_SEPARATOR__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__TAGS

public static final int TOOL_BAR_SEPARATOR__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__CONTRIBUTOR_URI

public static final int TOOL_BAR_SEPARATOR__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__TRANSIENT_DATA

public static final int TOOL_BAR_SEPARATOR__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__WIDGET

public static final int TOOL_BAR_SEPARATOR__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__RENDERER

public static final int TOOL_BAR_SEPARATOR__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__TO_BE_RENDERED

public static final int TOOL_BAR_SEPARATOR__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__ON_TOP

public static final int TOOL_BAR_SEPARATOR__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__VISIBLE

public static final int TOOL_BAR_SEPARATOR__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__PARENT

public static final int TOOL_BAR_SEPARATOR__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__CONTAINER_DATA

public static final int TOOL_BAR_SEPARATOR__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__CUR_SHARED_REF

public static final int TOOL_BAR_SEPARATOR__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__VISIBLE_WHEN

public static final int TOOL_BAR_SEPARATOR__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__ACCESSIBILITY_PHRASE

public static final int TOOL_BAR_SEPARATOR__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int TOOL_BAR_SEPARATOR__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR_FEATURE_COUNT

public static final int TOOL_BAR_SEPARATOR_FEATURE_COUNT
The number of structural features of the 'Tool Bar Separator' class.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR___UPDATE_LOCALIZATION

public static final int TOOL_BAR_SEPARATOR___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### TOOL_BAR_SEPARATOR_OPERATION_COUNT

public static final int TOOL_BAR_SEPARATOR_OPERATION_COUNT
The number of operations of the 'Tool Bar Separator' class.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTIONS

public static final int MENU_CONTRIBUTIONS
The meta object id for the '`Contributions`' class.

Since:
  1.0
See Also:
  - `MMenuContributions`
  - `getMenuContributions()`
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### MENU_CONTRIBUTIONS__MENU_CONTRIBUTIONS

public static final int MENU_CONTRIBUTIONS__MENU_CONTRIBUTIONS
The feature id for the 'Menu Contributions' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### MENU_CONTRIBUTIONS_FEATURE_COUNT

public static final int MENU_CONTRIBUTIONS_FEATURE_COUNT
The number of structural features of the 'Contributions' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### MENU_CONTRIBUTIONS_OPERATION_COUNT

public static final int MENU_CONTRIBUTIONS_OPERATION_COUNT
The number of operations of the 'Contributions' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTION

public static final int TOOL_BAR_CONTRIBUTION
The meta object id for the '`Tool Bar Contribution`' class.

Since:
  1.0
See Also:
  - `ToolBarContributionImpl`
  - `getToolBarContribution()`
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTION__ELEMENT_ID

public static final int TOOL_BAR_CONTRIBUTION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__PERSISTED_STATE

public static final int TOOL_BAR_CONTRIBUTION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__TAGS

public static final int TOOL_BAR_CONTRIBUTION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__CONTRIBUTOR_URI

public static final int TOOL_BAR_CONTRIBUTION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__TRANSIENT_DATA

public static final int TOOL_BAR_CONTRIBUTION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__WIDGET

public static final int TOOL_BAR_CONTRIBUTION__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__RENDERER

public static final int TOOL_BAR_CONTRIBUTION__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__TO_BE_RENDERED

public static final int TOOL_BAR_CONTRIBUTION__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__ON_TOP

public static final int TOOL_BAR_CONTRIBUTION__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__VISIBLE

public static final int TOOL_BAR_CONTRIBUTION__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__PARENT

public static final int TOOL_BAR_CONTRIBUTION__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__CONTAINER_DATA

public static final int TOOL_BAR_CONTRIBUTION__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__CUR_SHARED_REF

public static final int TOOL_BAR_CONTRIBUTION__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__VISIBLE_WHEN

public static final int TOOL_BAR_CONTRIBUTION__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__ACCESSIBILITY_PHRASE

public static final int TOOL_BAR_CONTRIBUTION__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int TOOL_BAR_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__CHILDREN

public static final int TOOL_BAR_CONTRIBUTION__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__SELECTED_ELEMENT

public static final int TOOL_BAR_CONTRIBUTION__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__PARENT_ID

public static final int TOOL_BAR_CONTRIBUTION__PARENT_ID
The feature id for the 'Parent Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION__POSITION_IN_PARENT

public static final int TOOL_BAR_CONTRIBUTION__POSITION_IN_PARENT
The feature id for the 'Position In Parent' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION_FEATURE_COUNT

public static final int TOOL_BAR_CONTRIBUTION_FEATURE_COUNT
The number of structural features of the 'Tool Bar Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTION___UPDATE_LOCALIZATION

public static final int TOOL_BAR_CONTRIBUTION___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTION_OPERATION_COUNT

public static final int TOOL_BAR_CONTRIBUTION_OPERATION_COUNT
The number of operations of the 'Tool Bar Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTIONS

public static final int TOOL_BAR_CONTRIBUTIONS
The meta object id for the '`Tool Bar Contributions`' class.

Since:
  1.0
See Also:
  - `MToolBarContributions`
  - `getToolBarContributions()`
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTIONS__TOOL_BAR_CONTRIBUTIONS

public static final int TOOL_BAR_CONTRIBUTIONS__TOOL_BAR_CONTRIBUTIONS
The feature id for the 'Tool Bar Contributions' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### TOOL_BAR_CONTRIBUTIONS_FEATURE_COUNT

public static final int TOOL_BAR_CONTRIBUTIONS_FEATURE_COUNT
The number of structural features of the 'Tool Bar Contributions' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TOOL_BAR_CONTRIBUTIONS_OPERATION_COUNT

public static final int TOOL_BAR_CONTRIBUTIONS_OPERATION_COUNT
The number of operations of the 'Tool Bar Contributions' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTION

public static final int TRIM_CONTRIBUTION
The meta object id for the '`Trim Contribution`' class.

Since:
  1.0
See Also:
  - `TrimContributionImpl`
  - `getTrimContribution()`
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTION__ELEMENT_ID

public static final int TRIM_CONTRIBUTION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__PERSISTED_STATE

public static final int TRIM_CONTRIBUTION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__TAGS

public static final int TRIM_CONTRIBUTION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__CONTRIBUTOR_URI

public static final int TRIM_CONTRIBUTION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__TRANSIENT_DATA

public static final int TRIM_CONTRIBUTION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__WIDGET

public static final int TRIM_CONTRIBUTION__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__RENDERER

public static final int TRIM_CONTRIBUTION__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__TO_BE_RENDERED

public static final int TRIM_CONTRIBUTION__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__ON_TOP

public static final int TRIM_CONTRIBUTION__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__VISIBLE

public static final int TRIM_CONTRIBUTION__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__PARENT

public static final int TRIM_CONTRIBUTION__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__CONTAINER_DATA

public static final int TRIM_CONTRIBUTION__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__CUR_SHARED_REF

public static final int TRIM_CONTRIBUTION__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__VISIBLE_WHEN

public static final int TRIM_CONTRIBUTION__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__ACCESSIBILITY_PHRASE

public static final int TRIM_CONTRIBUTION__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int TRIM_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__CHILDREN

public static final int TRIM_CONTRIBUTION__CHILDREN
The feature id for the 'Children' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__SELECTED_ELEMENT

public static final int TRIM_CONTRIBUTION__SELECTED_ELEMENT
The feature id for the 'Selected Element' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__PARENT_ID

public static final int TRIM_CONTRIBUTION__PARENT_ID
The feature id for the 'Parent Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION__POSITION_IN_PARENT

public static final int TRIM_CONTRIBUTION__POSITION_IN_PARENT
The feature id for the 'Position In Parent' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION_FEATURE_COUNT

public static final int TRIM_CONTRIBUTION_FEATURE_COUNT
The number of structural features of the 'Trim Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTION___UPDATE_LOCALIZATION

public static final int TRIM_CONTRIBUTION___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTION_OPERATION_COUNT

public static final int TRIM_CONTRIBUTION_OPERATION_COUNT
The number of operations of the 'Trim Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTIONS

public static final int TRIM_CONTRIBUTIONS
The meta object id for the '`Trim Contributions`' class.

Since:
  1.0
See Also:
  - `MTrimContributions`
  - `getTrimContributions()`
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTIONS__TRIM_CONTRIBUTIONS

public static final int TRIM_CONTRIBUTIONS__TRIM_CONTRIBUTIONS
The feature id for the 'Trim Contributions' containment reference list.

Since:
  1.0
See Also:
  - Constant Field Values

### TRIM_CONTRIBUTIONS_FEATURE_COUNT

public static final int TRIM_CONTRIBUTIONS_FEATURE_COUNT
The number of structural features of the 'Trim Contributions' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### TRIM_CONTRIBUTIONS_OPERATION_COUNT

public static final int TRIM_CONTRIBUTIONS_OPERATION_COUNT
The number of operations of the 'Trim Contributions' class.

Since:
  1.0
See Also:
  - Constant Field Values
Restriction:
  See `model documentation` for details.

### DYNAMIC_MENU_CONTRIBUTION

public static final int DYNAMIC_MENU_CONTRIBUTION
The meta object id for the '`Dynamic Menu Contribution`' class.

Since:
  1.0
See Also:
  - `DynamicMenuContributionImpl`
  - `getDynamicMenuContribution()`
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__ELEMENT_ID

public static final int DYNAMIC_MENU_CONTRIBUTION__ELEMENT_ID
The feature id for the 'Element Id' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__PERSISTED_STATE

public static final int DYNAMIC_MENU_CONTRIBUTION__PERSISTED_STATE
The feature id for the 'Persisted State' map.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__TAGS

public static final int DYNAMIC_MENU_CONTRIBUTION__TAGS
The feature id for the 'Tags' attribute list.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__CONTRIBUTOR_URI

public static final int DYNAMIC_MENU_CONTRIBUTION__CONTRIBUTOR_URI
The feature id for the 'Contributor URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__TRANSIENT_DATA

public static final int DYNAMIC_MENU_CONTRIBUTION__TRANSIENT_DATA
The feature id for the 'Transient Data' map.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__WIDGET

public static final int DYNAMIC_MENU_CONTRIBUTION__WIDGET
The feature id for the 'Widget' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__RENDERER

public static final int DYNAMIC_MENU_CONTRIBUTION__RENDERER
The feature id for the 'Renderer' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__TO_BE_RENDERED

public static final int DYNAMIC_MENU_CONTRIBUTION__TO_BE_RENDERED
The feature id for the 'To Be Rendered' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__ON_TOP

public static final int DYNAMIC_MENU_CONTRIBUTION__ON_TOP
The feature id for the 'On Top' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__VISIBLE

public static final int DYNAMIC_MENU_CONTRIBUTION__VISIBLE
The feature id for the 'Visible' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__PARENT

public static final int DYNAMIC_MENU_CONTRIBUTION__PARENT
The feature id for the 'Parent' container reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__CONTAINER_DATA

public static final int DYNAMIC_MENU_CONTRIBUTION__CONTAINER_DATA
The feature id for the 'Container Data' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__CUR_SHARED_REF

public static final int DYNAMIC_MENU_CONTRIBUTION__CUR_SHARED_REF
The feature id for the 'Cur Shared Ref' reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__VISIBLE_WHEN

public static final int DYNAMIC_MENU_CONTRIBUTION__VISIBLE_WHEN
The feature id for the 'Visible When' containment reference.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__ACCESSIBILITY_PHRASE

public static final int DYNAMIC_MENU_CONTRIBUTION__ACCESSIBILITY_PHRASE
The feature id for the 'Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE

public static final int DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_ACCESSIBILITY_PHRASE
The feature id for the 'Localized Accessibility Phrase' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__LABEL

public static final int DYNAMIC_MENU_CONTRIBUTION__LABEL
The feature id for the 'Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__ICON_URI

public static final int DYNAMIC_MENU_CONTRIBUTION__ICON_URI
The feature id for the 'Icon URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__TOOLTIP

public static final int DYNAMIC_MENU_CONTRIBUTION__TOOLTIP
The feature id for the 'Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_LABEL

public static final int DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_LABEL
The feature id for the 'Localized Label' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_TOOLTIP

public static final int DYNAMIC_MENU_CONTRIBUTION__LOCALIZED_TOOLTIP
The feature id for the 'Localized Tooltip' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__ENABLED

public static final int DYNAMIC_MENU_CONTRIBUTION__ENABLED
The feature id for the 'Enabled' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__SELECTED

public static final int DYNAMIC_MENU_CONTRIBUTION__SELECTED
The feature id for the 'Selected' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__TYPE

public static final int DYNAMIC_MENU_CONTRIBUTION__TYPE
The feature id for the 'Type' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__MNEMONICS

public static final int DYNAMIC_MENU_CONTRIBUTION__MNEMONICS
The feature id for the 'Mnemonics' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__CONTRIBUTION_URI

public static final int DYNAMIC_MENU_CONTRIBUTION__CONTRIBUTION_URI
The feature id for the 'Contribution URI' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION__OBJECT

public static final int DYNAMIC_MENU_CONTRIBUTION__OBJECT
The feature id for the 'Object' attribute.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION_FEATURE_COUNT

public static final int DYNAMIC_MENU_CONTRIBUTION_FEATURE_COUNT
The number of structural features of the 'Dynamic Menu Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION___GET_LOCALIZED_MNEMONICS

public static final int DYNAMIC_MENU_CONTRIBUTION___GET_LOCALIZED_MNEMONICS
The operation id for the 'Get Localized Mnemonics' operation.

Since:
  1.0
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION___UPDATE_LOCALIZATION

public static final int DYNAMIC_MENU_CONTRIBUTION___UPDATE_LOCALIZATION
The operation id for the 'Update Localization' operation.

Since:
  1.1
See Also:
  - Constant Field Values

### DYNAMIC_MENU_CONTRIBUTION_OPERATION_COUNT

public static final int DYNAMIC_MENU_CONTRIBUTION_OPERATION_COUNT
The number of operations of the 'Dynamic Menu Contribution' class.

Since:
  1.0
See Also:
  - Constant Field Values

### ITEM_TYPE

public static final int ITEM_TYPE
The meta object id for the '`Item Type`' enum.

Since:
  1.0
See Also:
  - `ItemType`
  - `getItemType()`
  - Constant Field Values

## Method Details

### init

public static MenuPackageImpl init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getItem

public org.eclipse.emf.ecore.EClass getItem()
Returns the meta object for class '`Item`'.

Returns:
  the meta object for class 'Item'.
Since:
  1.0
See Also:
  - `MItem`

### getItem_Enabled

public org.eclipse.emf.ecore.EAttribute getItem_Enabled()
Returns the meta object for the attribute '`Enabled`'.

Returns:
  the meta object for the attribute 'Enabled'.
Since:
  1.0
See Also:
  - `MItem.isEnabled()`
  - `getItem()`

### getItem_Selected

public org.eclipse.emf.ecore.EAttribute getItem_Selected()
Returns the meta object for the attribute '`Selected`'.

Returns:
  the meta object for the attribute 'Selected'.
Since:
  1.0
See Also:
  - `MItem.isSelected()`
  - `getItem()`

### getItem_Type

public org.eclipse.emf.ecore.EAttribute getItem_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
Since:
  1.0
See Also:
  - `MItem.getType()`
  - `getItem()`

### getItem__UpdateLocalization

public org.eclipse.emf.ecore.EOperation getItem__UpdateLocalization()
Returns the meta object for the '`Update Localization`' operation.

Returns:
  the meta object for the 'Update Localization' operation.
Since:
  1.1
See Also:
  - `MLocalizable.updateLocalization()`

### getHandledItem

public org.eclipse.emf.ecore.EClass getHandledItem()
Returns the meta object for class '`Handled Item`'.

Returns:
  the meta object for class 'Handled Item'.
Since:
  1.0
See Also:
  - `MHandledItem`

### getHandledItem_Command

public org.eclipse.emf.ecore.EReference getHandledItem_Command()
Returns the meta object for the reference '`Command`'.

Returns:
  the meta object for the reference 'Command'.
Since:
  1.0
See Also:
  - `MHandledItem.getCommand()`
  - `getHandledItem()`

### getHandledItem_WbCommand

public org.eclipse.emf.ecore.EAttribute getHandledItem_WbCommand()
Returns the meta object for the attribute '`Wb Command`'.

Returns:
  the meta object for the attribute 'Wb Command'.
Since:
  1.0
See Also:
  - `MHandledItem.getWbCommand()`
  - `getHandledItem()`
Restriction:

### getHandledItem_Parameters

public org.eclipse.emf.ecore.EReference getHandledItem_Parameters()
Returns the meta object for the containment reference list '`Parameters`'.

Returns:
  the meta object for the containment reference list 'Parameters'.
Since:
  1.0
See Also:
  - `MHandledItem.getParameters()`
  - `getHandledItem()`

### getMenuElement

public org.eclipse.emf.ecore.EClass getMenuElement()
Returns the meta object for class '`Element`'.

Returns:
  the meta object for class 'Element'.
Since:
  1.0
See Also:
  - `MMenuElement`

### getMenuElement_Mnemonics

public org.eclipse.emf.ecore.EAttribute getMenuElement_Mnemonics()
Returns the meta object for the attribute '`Mnemonics`'.

Returns:
  the meta object for the attribute 'Mnemonics'.
Since:
  1.0
See Also:
  - `MMenuElement.getMnemonics()`
  - `getMenuElement()`

### getMenuElement__GetLocalizedMnemonics

public org.eclipse.emf.ecore.EOperation getMenuElement__GetLocalizedMnemonics()
Returns the meta object for the '`Get Localized Mnemonics`' operation.

Returns:
  the meta object for the 'Get Localized Mnemonics' operation.
Since:
  1.0
See Also:
  - `MMenuElement.getLocalizedMnemonics()`

### getMenuElement__UpdateLocalization

public org.eclipse.emf.ecore.EOperation getMenuElement__UpdateLocalization()
Returns the meta object for the '`Update Localization`' operation.

Returns:
  the meta object for the 'Update Localization' operation.
Since:
  1.1
See Also:
  - `MLocalizable.updateLocalization()`

### getMenuItem

public org.eclipse.emf.ecore.EClass getMenuItem()
Returns the meta object for class '`Item`'.

Returns:
  the meta object for class 'Item'.
Since:
  1.0
See Also:
  - `MMenuItem`

### getMenuItem__UpdateLocalization

public org.eclipse.emf.ecore.EOperation getMenuItem__UpdateLocalization()
Returns the meta object for the '`Update Localization`' operation.

Returns:
  the meta object for the 'Update Localization' operation.
Since:
  1.1
See Also:
  - `MLocalizable.updateLocalization()`

### getMenuSeparator

public org.eclipse.emf.ecore.EClass getMenuSeparator()
Returns the meta object for class '`Separator`'.

Returns:
  the meta object for class 'Separator'.
Since:
  1.0
See Also:
  - `MMenuSeparator`

### getMenu

public org.eclipse.emf.ecore.EClass getMenu()
Returns the meta object for class '`Menu`'.

Returns:
  the meta object for class 'Menu'.
Since:
  1.0
See Also:
  - `MMenu`

### getMenu_Enabled

public org.eclipse.emf.ecore.EAttribute getMenu_Enabled()
Returns the meta object for the attribute '`Enabled`'.

Returns:
  the meta object for the attribute 'Enabled'.
Since:
  1.0
See Also:
  - `MMenu.isEnabled()`
  - `getMenu()`

### getMenuContribution

public org.eclipse.emf.ecore.EClass getMenuContribution()
Returns the meta object for class '`Contribution`'.

Returns:
  the meta object for class 'Contribution'.
Since:
  1.0
See Also:
  - `MMenuContribution`
Restriction:
  See `model documentation` for details.

### getMenuContribution_PositionInParent

public org.eclipse.emf.ecore.EAttribute getMenuContribution_PositionInParent()
Returns the meta object for the attribute '`Position In Parent`'.

Returns:
  the meta object for the attribute 'Position In Parent'.
Since:
  1.0
See Also:
  - `MMenuContribution.getPositionInParent()`
  - `getMenuContribution()`

### getMenuContribution_ParentId

public org.eclipse.emf.ecore.EAttribute getMenuContribution_ParentId()
Returns the meta object for the attribute '`Parent Id`'.

Returns:
  the meta object for the attribute 'Parent Id'.
Since:
  1.0
See Also:
  - `MMenuContribution.getParentId()`
  - `getMenuContribution()`

### getPopupMenu

public org.eclipse.emf.ecore.EClass getPopupMenu()
Returns the meta object for class '`Popup Menu`'.

Returns:
  the meta object for class 'Popup Menu'.
Since:
  1.0
See Also:
  - `MPopupMenu`

### getDirectMenuItem

public org.eclipse.emf.ecore.EClass getDirectMenuItem()
Returns the meta object for class '`Direct Menu Item`'.

Returns:
  the meta object for class 'Direct Menu Item'.
Since:
  1.0
See Also:
  - `MDirectMenuItem`

### getHandledMenuItem

public org.eclipse.emf.ecore.EClass getHandledMenuItem()
Returns the meta object for class '`Handled Menu Item`'.

Returns:
  the meta object for class 'Handled Menu Item'.
Since:
  1.0
See Also:
  - `MHandledMenuItem`

### getToolItem

public org.eclipse.emf.ecore.EClass getToolItem()
Returns the meta object for class '`Tool Item`'.

Returns:
  the meta object for class 'Tool Item'.
Since:
  1.0
See Also:
  - `MToolItem`

### getToolItem_Menu

public org.eclipse.emf.ecore.EReference getToolItem_Menu()
Returns the meta object for the containment reference '`Menu`'.

Returns:
  the meta object for the containment reference 'Menu'.
Since:
  1.0
See Also:
  - `MToolItem.getMenu()`
  - `getToolItem()`

### getToolBar

public org.eclipse.emf.ecore.EClass getToolBar()
Returns the meta object for class '`Tool Bar`'.

Returns:
  the meta object for class 'Tool Bar'.
Since:
  1.0
See Also:
  - `MToolBar`

### getToolBarElement

public org.eclipse.emf.ecore.EClass getToolBarElement()
Returns the meta object for class '`Tool Bar Element`'.

Returns:
  the meta object for class 'Tool Bar Element'.
Since:
  1.0
See Also:
  - `MToolBarElement`

### getToolControl

public org.eclipse.emf.ecore.EClass getToolControl()
Returns the meta object for class '`Tool Control`'.

Returns:
  the meta object for class 'Tool Control'.
Since:
  1.0
See Also:
  - `MToolControl`

### getHandledToolItem

public org.eclipse.emf.ecore.EClass getHandledToolItem()
Returns the meta object for class '`Handled Tool Item`'.

Returns:
  the meta object for class 'Handled Tool Item'.
Since:
  1.0
See Also:
  - `MHandledToolItem`

### getDirectToolItem

public org.eclipse.emf.ecore.EClass getDirectToolItem()
Returns the meta object for class '`Direct Tool Item`'.

Returns:
  the meta object for class 'Direct Tool Item'.
Since:
  1.0
See Also:
  - `MDirectToolItem`

### getToolBarSeparator

public org.eclipse.emf.ecore.EClass getToolBarSeparator()
Returns the meta object for class '`Tool Bar Separator`'.

Returns:
  the meta object for class 'Tool Bar Separator'.
Since:
  1.0
See Also:
  - `MToolBarSeparator`

### getMenuContributions

public org.eclipse.emf.ecore.EClass getMenuContributions()
Returns the meta object for class '`Contributions`'.

Returns:
  the meta object for class 'Contributions'.
Since:
  1.0
See Also:
  - `MMenuContributions`
Restriction:
  See `model documentation` for details.

### getMenuContributions_MenuContributions

public org.eclipse.emf.ecore.EReference getMenuContributions_MenuContributions()
Returns the meta object for the containment reference list '`Menu Contributions`'.

Returns:
  the meta object for the containment reference list 'Menu Contributions'.
Since:
  1.0
See Also:
  - `MMenuContributions.getMenuContributions()`
  - `getMenuContributions()`

### getToolBarContribution

public org.eclipse.emf.ecore.EClass getToolBarContribution()
Returns the meta object for class '`Tool Bar Contribution`'.

Returns:
  the meta object for class 'Tool Bar Contribution'.
Since:
  1.0
See Also:
  - `MToolBarContribution`
Restriction:
  See `model documentation` for details.

### getToolBarContribution_ParentId

public org.eclipse.emf.ecore.EAttribute getToolBarContribution_ParentId()
Returns the meta object for the attribute '`Parent Id`'.

Returns:
  the meta object for the attribute 'Parent Id'.
Since:
  1.0
See Also:
  - `MToolBarContribution.getParentId()`
  - `getToolBarContribution()`

### getToolBarContribution_PositionInParent

public org.eclipse.emf.ecore.EAttribute getToolBarContribution_PositionInParent()
Returns the meta object for the attribute '`Position In Parent`'.

Returns:
  the meta object for the attribute 'Position In Parent'.
Since:
  1.0
See Also:
  - `MToolBarContribution.getPositionInParent()`
  - `getToolBarContribution()`

### getToolBarContributions

public org.eclipse.emf.ecore.EClass getToolBarContributions()
Returns the meta object for class '`Tool Bar Contributions`'.

Returns:
  the meta object for class 'Tool Bar Contributions'.
Since:
  1.0
See Also:
  - `MToolBarContributions`
Restriction:
  See `model documentation` for details.

### getToolBarContributions_ToolBarContributions

public org.eclipse.emf.ecore.EReference getToolBarContributions_ToolBarContributions()
Returns the meta object for the containment reference list '`Tool Bar Contributions`'.

Returns:
  the meta object for the containment reference list 'Tool Bar Contributions'.
Since:
  1.0
See Also:
  - `MToolBarContributions.getToolBarContributions()`
  - `getToolBarContributions()`

### getTrimContribution

public org.eclipse.emf.ecore.EClass getTrimContribution()
Returns the meta object for class '`Trim Contribution`'.

Returns:
  the meta object for class 'Trim Contribution'.
Since:
  1.0
See Also:
  - `MTrimContribution`
Restriction:
  See `model documentation` for details.

### getTrimContribution_ParentId

public org.eclipse.emf.ecore.EAttribute getTrimContribution_ParentId()
Returns the meta object for the attribute '`Parent Id`'.

Returns:
  the meta object for the attribute 'Parent Id'.
Since:
  1.0
See Also:
  - `MTrimContribution.getParentId()`
  - `getTrimContribution()`

### getTrimContribution_PositionInParent

public org.eclipse.emf.ecore.EAttribute getTrimContribution_PositionInParent()
Returns the meta object for the attribute '`Position In Parent`'.

Returns:
  the meta object for the attribute 'Position In Parent'.
Since:
  1.0
See Also:
  - `MTrimContribution.getPositionInParent()`
  - `getTrimContribution()`

### getTrimContributions

public org.eclipse.emf.ecore.EClass getTrimContributions()
Returns the meta object for class '`Trim Contributions`'.

Returns:
  the meta object for class 'Trim Contributions'.
Since:
  1.0
See Also:
  - `MTrimContributions`
Restriction:
  See `model documentation` for details.

### getTrimContributions_TrimContributions

public org.eclipse.emf.ecore.EReference getTrimContributions_TrimContributions()
Returns the meta object for the containment reference list '`Trim Contributions`'.

Returns:
  the meta object for the containment reference list 'Trim Contributions'.
Since:
  1.0
See Also:
  - `MTrimContributions.getTrimContributions()`
  - `getTrimContributions()`

### getDynamicMenuContribution

public org.eclipse.emf.ecore.EClass getDynamicMenuContribution()
Returns the meta object for class '`Dynamic Menu Contribution`'.

Returns:
  the meta object for class 'Dynamic Menu Contribution'.
Since:
  1.0
See Also:
  - `MDynamicMenuContribution`

### getItemType

public org.eclipse.emf.ecore.EEnum getItemType()
Returns the meta object for enum '`Item Type`'.

Returns:
  the meta object for enum 'Item Type'.
Since:
  1.0
See Also:
  - `ItemType`

### getMenuFactory

public MMenuFactory getMenuFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.